Ce repository contient les fichiers relatifs au thème Reveal.js pour les présentations de Séminaire faites au sein du CCIN2P3.

Ce thème a été conçu et testé avec reveal.js en version 3.3.0.
Ce thème nécessite la présence du fichier de thème white.css présent dans le dépôt de reveal.js.

# Installation

```shell
cd /tmp
git clone git@gitlab.in2p3.fr:justin.bussery/ccin2p3_reveal_theme.git
git clone https://github.com/hakimel/reveal.js
mkdir ~/myprez
cp -R /tmp/ccin2p3_reveal_theme/* ~/myprez/
cp -R /tmp/reveal.js/css /tmp/reveal.js/plugin /tmp/reveal.js/js /tmp/reveal.js/lib ~/myprez/
```

**Dépendances:** Reveal.js v3.3.0

**Plugins testés et comptatibles:**
 - Highlight
 - Mark & Markdown
 - Notes

# Utilisation

>Le fichier à modifier pour créer votre présentation est le fichier index.html.

>Pour rajouter un slide, il vous suffit de rajouter un block section dans le block slides (comme dans l'exemple présent dans le fichier).

>Le titre de votre slide est à placer dans la balise `slide_title` qui ne sera pas affichée sur le slide (hormis dans le bandeau du haut).

>Le reste de la documentation concernant l'utilisation du framework reveal.js est disponible sur le dépôt officiel
>[GIT] [Reveal Wiki](https://github.com/hakimel/reveal.js)


# Export
Bien que le framework reveal.js possède de base une fonction d'impression (compatible essentiellement sur google-chrome), nous vous recommandons d'utiliser la méthode
suivante pour exporter vos présentations en pdf. Pour ce faire nous allons utiliser l'outil decktape.

#### Installation de l'outil
```shell
cd ~
curl -L https://github.com/astefanutti/decktape/archive/v1.0.0.tar.gz | tar -xz --exclude phantomjs
cd decktape-1.0.0
curl -L https://github.com/astefanutti/decktape/releases/download/v1.0.0/phantomjs-linux-x86-64 -o phantomjs
chmod +x phantomjs
```

#### Exemple d'exportation
```shell
./phantomjs decktape.js file:///home/bob/myprez/index.html myprez.pdf
```

# Recommandations
**Pour des raisons évidentes de compatibilité du thème, merci de ne pas:**
 - supprimer les blocks `header`, `first_header`, `footer`, `first_footer`
 - modifier les blocks `header` et `footer`


# Exemples
[WEB] [20161209-Password-Seminaire](https://ccsecu.in2p3.fr/archives/20161209-Password-Seminaire)
: Séminaire SSI du 9 décembre 2016 : Mots de passes - Enjeux, Contraintes et Solutions

Le fichier index.html du repo contient aussi des exemples d'utilisation (avec support pour markdown)
