/**
 *
 * Add custom js functions bases on Reveal.js API to:
 *     Get automatic title in slide header by filling up slide_title html tag
           Ex : <div class="slide_title">This is my title</div>
           This div is not display by default and css attributes have been reset
           If you are using markdown, just add slide_title as class tag of your title juste like in the example
 *     Automatically hide header and footer on first slide
 * Every check is done when page is first loading and then at every slide change
 * 
 * @author Justin Bussery <justin.bussery@cc.in2p3.fr>
 * @version 0.1
 * @copyright (C) 2016 Justin Bussery <justin.bussery@cc.in2p3.fr>
 * @license GNU
 */
function updateStyle(){
     document.getElementsByTagName('header')[0].style.display = Reveal.isFirstSlide() ? 'none' : 'block';
     document.getElementsByTagName('footer')[0].style.display = Reveal.isFirstSlide() ? 'none' : 'block';
     // First page header and footer
     document.getElementsByClassName('first_header')[0].style.display = Reveal.isFirstSlide() ? 'block' : 'none';
     document.getElementsByClassName('first_footer')[0].style.display = Reveal.isFirstSlide() ? 'block' : 'none';
     // Title in header
     if(!Reveal.isFirstSlide())
         document.getElementsByTagName('header')[0].innerHTML = Reveal.getCurrentSlide().getElementsByClassName('slide_title')[0].innerHTML;
}

// It takes care of first load and change event
Reveal.addEventListener( 'ready', function() {
    updateStyle();
}, false );

Reveal.addEventListener( 'slidechanged', function( event ) {
    updateStyle();
}, false );
